
Redmine - Patch #217

New &quot;Open Issues assigned to me&quot; view for /my/page

2007-04-05 14:30 - Peer Allan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

This is a more detailed version of the "issues assigned to me" view from the /my/page. It is basically the

same as the existing view with these differences

- it only shows open issues,

- Issues are sorted by priority

- Additional column for Priority

- Additional column for Due Date

- moved project into separate column

- added "Status" column with the issue status and last updated time

- Modified Tracker column to just show the tracker (Bug, Feature, etc.)

The new view is completely separate from the existing view and has been added as one of the view options to add when

personalizing the page.  As I only speak English I was only able to add the new label to the en.yml file.  I added the

required line into the other localization files with placeholder text (in English) that will need to be updated by someone

who can speak/translate it into the correct language.

I was not sure how to write tests for this, but if someone would be willing to give me some direction on how to I would

be more than happy to do it.

Peer

Related issues:

Is duplicate of Redmine - Feature #1565: Custom query on My page Closed 2008-07-03

History

#1 - 2007-04-05 16:05 - Peer Allan

Another difference I forgot to note is that the limit of 10

items was removed

#2 - 2010-05-16 17:33 - Muntek Singh

- Status changed from New to Closed

Makring this as duplicate as #1565, combining all these similar requests into "Custom Queries for /my/page"

Files
